package com.zhentao.shouye.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 群组表
 * @TableName groups
 */
@TableName(value ="groupss")
@Data
public class Groups implements Serializable {
    /**
     * id

     */
    @TableId(type = IdType.AUTO)
    private Long groupId;

    /**
     * 群名称
     */
    private String name;

    /**
     * 创建者ID
     */
    private Long creatorId;

    /**
     * 群头像
     */
    private String avatar;

    /**
     * 群公告
     */
    private String announcement;

    /**
     * 群描述
     */
    private String description;

    /**
     * 最大成员数
     */
    private Integer maxMembers;

    /**
     * 状态(0-解散,1-正常)
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
