package com.zhentao.utils;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public class SensitiveWordFilter {
    // 敏感词列表（可从数据库/配置文件加载）
    private static final Set<String> SENSITIVE_WORDS = new HashSet<>(Arrays.asList("暴力", "抢劫","杀人"));

    public static String filter(String content) {
        for (String word : SENSITIVE_WORDS) {
            // 简单替换，也可扩展为正则匹配、全角半角转换等
            content = content.replace(word, "***");
        }
        return content;
    }
}
